"use server";

import { COURSE_API } from "@/services/api-end-point/courses";
import { QUESTION_MARKS_API } from "@/services/api-end-point/questionMarks";
import clientAxios from "@/services/config";
import axios from "axios";

export async function fetchCourseSection(
  courseId: string,
  studentId?: string | null
) {
  // const res = (await fetch(`/courses/get-by-status`)).json();
  console.log(studentId);
  try {
    let res;
    if (studentId) {
      res = await clientAxios.get(
        `${COURSE_API.fetch_course_by_courseId_and_studentId(
          courseId,
          studentId
        )}`
      );
    } else {
      res = await clientAxios.get(
        `${COURSE_API.fetch_course_by_courseId_and_studentId(courseId)}`
      );
    }
    return res.data;
  } catch (error) {
    console.log(error);
  }
}

export async function fetchLesson(sectionId: string) {
  // const res = (await fetch(`/courses/get-by-status`)).json();
  try {
    const res = await clientAxios.get(
      `${COURSE_API.fetch_lesson_by_section(sectionId)}`
    );
    return res.data;
  } catch (error) {
    console.log(error);
  }
}

export async function fetchAssignment(lessonId: string) {
  // const res = (await fetch(`/courses/get-by-status`)).json();
  try {
    const res = await clientAxios.get(
      `${QUESTION_MARKS_API.fetch_assignment_by_lesson(lessonId)}`
    );
    return res.data;
  } catch (error) {
    console.log(error);
  }
}

export async function fetchCourseByStudent(studentId: string) {
  try {
    const res = await clientAxios.get(
      `${COURSE_API.fetch_course_by_student(studentId)}`
    );
    return res.data;
  } catch (error) {
    console.log(error);
  }
}
