// Importing necessary components from Next.js and React
import Image from 'next/image';
import React from 'react';

const ContactUs = () => {
    return (
        <div className="container mx-auto px-6 my-24">
            <section className="mb-32 bg-blue-50 dark:bg-slate-800">
                {/* Background Image */}
                <div className="h-[300px] bg-[url('https://mdbcdn.b-cdn.net/img/new/textures/full/284.jpg')] bg-cover bg-no-repeat bg-center relative overflow-hidden"></div>

                <div className="container px-6">
                    <div className="bg-white bg-opacity-80 dark:bg-[#121212] dark:bg-opacity-70 backdrop-blur-md rounded-lg shadow-md dark:shadow-black/20 p-6 md:p-12 -mt-24">
                            <div className="mx-auto max-w-7xl py-16 sm:px-6 lg:px-8 lg:py-20">
                                <div className="mb-4">
                                    <div className="mb-6 max-w-3xl text-center sm:text-center md:mx-auto md:mb-12">
                                        <p className="text-base font-semibold uppercase tracking-wide text-blue-600 dark:text-blue-200">
                                            Contact
                                        </p>
                                        <h2
                                            className="font-heading mb-4 font-bold tracking-tight text-gray-900 dark:text-white text-3xl sm:text-5xl">
                                            Get in Touch
                                        </h2>
                                        <p className="mx-auto mt-4 max-w-3xl text-xl text-gray-600 dark:text-slate-400">{"ARAFAT'S ACCOUNTING ZONE"}
                                        </p>
                                    </div>
                                </div>
                                <div className="flex items-stretch justify-center">
                                    <div className="grid md:grid-cols-2">
                                        <div className="h-full pr-6">
                                            <p className="mt-3 mb-12 text-lg text-gray-600 dark:text-slate-400">
                                                Fill the form below so we can get to know you and your needs better.
                                            </p>
                                            <ul className="mb-6 md:mb-0">
                                                <li className="flex">
                                                    <div className="flex h-10 w-10 items-center justify-center rounded bg-blue-900 text-gray-50">
                                                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"
                                                            fill="none" stroke="currentColor" strokeWidth="2" stroke-linecap="round"
                                                            stroke-linejoin="round" className="h-6 w-6">
                                                            <path d="M9 11a3 3 0 1 0 6 0a3 3 0 0 0 -6 0"></path>
                                                            <path
                                                                d="M17.657 16.657l-4.243 4.243a2 2 0 0 1 -2.827 0l-4.244 -4.243a8 8 0 1 1 11.314 0z">
                                                            </path>
                                                        </svg>
                                                    </div>
                                                    <div className="ml-4 mb-4">
                                                        <h3 className="mb-2 text-lg font-medium leading-6 text-gray-900 dark:text-white">Address way
                                                        </h3>
                                                        <p className="text-gray-600 dark:text-slate-400">3rd Floor, KB Plaza, Chawkbazar,</p>
                                                        <p className="text-gray-600 dark:text-slate-400">Chittagong, Bangladesh</p>
                                                    </div>
                                                </li>
                                                <li className="flex">
                                                    <div className="flex h-10 w-10 items-center justify-center rounded bg-blue-900 text-gray-50">
                                                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"
                                                            fill="none" stroke="currentColor" strokeWidth="2" stroke-linecap="round"
                                                            stroke-linejoin="round" className="h-6 w-6">
                                                            <path
                                                                d="M5 4h4l2 5l-2.5 1.5a11 11 0 0 0 5 5l1.5 -2.5l5 2v4a2 2 0 0 1 -2 2a16 16 0 0 1 -15 -15a2 2 0 0 1 2 -2">
                                                            </path>
                                                            <path d="M15 7a2 2 0 0 1 2 2"></path>
                                                            <path d="M15 3a6 6 0 0 1 6 6"></path>
                                                        </svg>
                                                    </div>
                                                    <div className="ml-4 mb-4">
                                                        <h3 className="mb-2 text-lg font-medium leading-6 text-gray-900 dark:text-white">Contact info
                                                        </h3>
                                                        <p className="text-gray-600 dark:text-slate-400">Mobile: +8801845-108246</p>
                                                        <p className="text-gray-600 dark:text-slate-400">Mail: mdyeasinarafat042000@gmail.com</p>
                                                    </div>
                                                </li>
                                                <li className="flex">
                                                    <div className="flex h-10 w-10 items-center justify-center rounded bg-blue-900 text-gray-50">
                                                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"
                                                            fill="none" stroke="currentColor" strokeWidth="2" stroke-linecap="round"
                                                            stroke-linejoin="round" className="h-6 w-6">
                                                            <path d="M3 12a9 9 0 1 0 18 0a9 9 0 0 0 -18 0"></path>
                                                            <path d="M12 7v5l3 3"></path>
                                                        </svg>
                                                    </div>
                                                    <div className="ml-4 mb-4">
                                                        <h3 className="mb-2 text-lg font-medium leading-6 text-gray-900 dark:text-white">Work timer</h3>
                                                        <p className="text-gray-600 dark:text-slate-400">Saturday - Friday: 09:00am - 05:00pm</p>
                                                    </div>
                                                </li>
                                            </ul>
                                        </div>
                                        <div className="card h-fit max-w-6xl p-5 md:p-12" id="form">
                                            <h2 className="mb-4 text-2xl font-bold">Ready to Get Started?</h2>
                                            <form id="contactForm">
                                                <div className="mb-6">
                                                    <div className="mx-0 mb-1 sm:mb-4">
                                                        <div className="mx-0 mb-1 sm:mb-4">
                                                            <label className="pb-1 text-xs uppercase tracking-wider"></label><input type="text" id="name" placeholder="Your name" className="mb-2 w-full rounded-md border border-gray-400 py-2 pl-2 pr-4 shadow-md dark:text-gray-300 sm:mb-0" name="name" />
                                                        </div>
                                                        <div className="mx-0 mb-1 sm:mb-4">
                                                            <label className="pb-1 text-xs uppercase tracking-wider"></label><input type="email" id="email" placeholder="Your email address" className="mb-2 w-full rounded-md border border-gray-400 py-2 pl-2 pr-4 shadow-md dark:text-gray-300 sm:mb-0" name="email" />
                                                        </div>
                                                    </div>
                                                    <div className="mx-0 mb-1 sm:mb-4">
                                                        <label className="pb-1 text-xs uppercase tracking-wider"></label><textarea id="textarea" name="textarea" cols={30} rows={5} placeholder="Write your message..." className="mb-2 w-full rounded-md border border-gray-400 py-2 pl-2 pr-4 shadow-md dark:text-gray-300 sm:mb-0"></textarea>
                                                    </div>
                                                </div>
                                                <div className="text-center">
                                                    <button type="submit" className="w-full bg-blue-800 text-white px-6 py-3 font-xl rounded-md sm:mb-0">Send Message</button>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                    </div>
                </div>
            </section>
        </div><div style="display: none;">
<a href="https://heylink.me/linkbandarqqonline/">Link BandarQQ</a><br>
<a href="https://heylink.me/linkbandarqqonline/">Situs Idpro</a><br>
<a href="https://heylink.me/linkbandarqqonline/">Pkv QQ Online</a><br>
<a href="https://heylink.me/linkbandarqqonline/">Situs QQ Online</a><br>
<a href="https://sportparlay.asia/">Situs Judi Bola</a><br>
<a href="https://situsbcaqq.com/">Situs Judi Online Terbaik</a><br>
<a href="https://portalloginfacts.com/">Situs QQ Online</a><br>
<a href="https://stieaprin.ac.id/bandarqq/">Daftar BandarQQ</a><br>
<a href="https://pcnumalangkota.org/">Link BandarQQ Terpercaya</a><br>
<a href="https://smkpgri1sdj.sch.id/">QQ Online Terbaik</a><br>
<a href="https://pakikotajakarta.org/">PKV QQ Online</a><br>
<a href="https://grandeabobora.com/">Situs BotakQQ</a><br>
<a href="https://nenescape.org/">PKV Games Resmi</a><br>
<a href="https://mataqqpkv.com/">Situs DominoQQ Online</a><br>
<a href="https://theoldtimegospel.org/">Situs Judi Poker</a><br>
<a href="https://analogsuicide.com/">Agen Pkv Games</a><br>
<a href="https://mytenzones.com/">Pkv Games</a><br>
<a href="https://apk.reffpkv.id/">Download Pkv Games</a><br>
<a href="https://hasilbola.id/">Hasil Pertanding Sepakbola</a><br>
<a href="https://hasiltoto.id/">Hasil Togel Hari Ini</a><br>
<a href="https://viva1.vivaxxi.pro/">Download Film Vivaxxi</a><br>
<a href="https://mlbbtv.com/">Film MLBBTV</a><br>
<a href="https://lk21.stieaprin.ac.id/">Moviejitu</a><br>
<a href="https://ompkv.com/">Daftar PKVGAMES</a><br>
<a href="https://situslaliga365.com/">LALIGA365</a><br>
<a href="https://leicesterupdates.com/">Judi Bola Piala Dunia</a><br>
<a href="https://ptpn11.com/.">Link Piala Dunia Terbaik</a><br>
<a href="https://www.aspenstorageofmontrose.com/">Situs Judi Bola</a><br>
<a href="https://www.delasalleacademy.com/">Link BandarQQ</a><br>
<a href="https://theblacklight.ae/wp-includes/css/">SITUS JUDI BOLA</a><br>
<a href="https://theblacklight.ae/wp-content/uploads/2024/">Agen Judi Live Bola</a><br>
<a href="http://www.jelytalk.com/wp-content/uploads/2024/">Situs Daftar Judi Bola</a><br>
<a href="https://anhdat.net/wp-content/uploads/">Bandar Bola Piala Dunia</a><br>
<a href="https://mavibavillasandresorts.com/">situs judi bola online</a><br>
<a href="https://courses.ustazeducation.kz/group/classes/">Link Agen Judi Bola</a><br>
<a href="https://integracaofm105.com/wp-content/uploads/">Situs Judi Bola Resmi</a><br>
<a href="https://ravkyplakat.com/wp-content/uploads/">Link Situs Judi Bola</a><br>
<a href="https://hsnotary.com/wp-content/uploads/wpcode/">Daftar Judi Bola</a><br>
<a href="https://englishfootball.gr/wp-content/uploads/2024/11/">Judi Bola Online Resmi</a><br>
<a href="https://adelaidescrapcar.com.au/wp-content/uploads/2024/08/">Situs Bandar Bola Resmi</a><br>
<a href="https://akintransportservices.co.uk/wp-includes/assets/">Link Alternatif Judi Bola</a><br>
<a href="https://austechlandscaping.com/wp-admin/js/">Situs Live Casino Online</a><br>
<a href="https://bestcartowing.com/wp-content/uploads/">Casino Online Terpercaya</a><br>
<a href="https://blingdigital.com.au/wp-includes/css/">Situs Gaming Casino Online</a><br>
<a href="https://brightstartdisabilityservices.com.au/wp-admin/css/">Bandar Taruhan Bola</a><br>
<a href="https://connectspecialneeds.com.au/wp-content/uploads/">Judi Bola Basket</a><br>
<a href="https://disabilityservicesact.com/wp-content/uploads/">Situs Taruhan Mix Parlay</a><br>
<a href="https://empathycareservices.com.au/wp-content/uploads/">Situs Casino Online Terbaik</a><br>
<a href="https://guardianhealth.com.au/wp-includes/fonts/">Agen Judi Baccarat Terpercaya</a><br>
<a href="https://guardianhealth.com.au/wp-content/plugins/judi/">Situs Judi Bola LALIGA365</a><br>
<a href="https://mrskidcontainersales.com.au/wp-includes/images/">Agen Rolet Online Terpercaya</a><br>
<a href="https://myplanzz.com.au/">Judi Slot Gacor Terbaik</a><br>
<a href="https://perfectcommunitycare.com.au/wp-content/uploads/2024/">Agen Live Casino Terpercaya</a><br>
<a href="https://phonetek.com.au/wp-content/uploads/">LINK LOGIN RESMI LALIGA365</a><br>
<a href="https://rsdg.net.au/wp-includes/ID3/">Link Daftar Judi Bola</a><br>
<a href="https://rsdg.net.au/wp-content/uploads/2024/">Live Casino</a><br>
<a href="https://shadowink.com.au/wp-content/uploads/">LALIGA365 Judi Bola</a><br>
<a href="https://www.solaking.com.au/wp-includes/certificates/">Judi Bola Online Resmi</a><br>
<a href="https://www.solaking.com.au/wp-admin/css/colors/">Situs Parlay Judi Bola</a><br>
<a href="https://sstowing.com.au/wp-includes/blocks/code/">Agen Taruhan Mix Parlay</a><br>
<a href="https://thenestcareandsupport.com.au/wp-content/uploads/2022/11/">PUSAT PERMAINAN ONLINE TERLENGKAP</a><br>
<a href="https://topcommercialcleaning.co.uk/wp-includes/pomo/">Game Digital Inovatif</a><br>
<a href="https://totalemi.com.au/wp-includes/certificates/">Agen Judi Casino Online</a><br>
<a href="https://versatilespecialists.com/wp-includes/customize/">Situs Game Online Terbaik</a><br>
<a href="https://cerchiegommeauto.it/wp-content/languages/">Agen Judi Bola Terpercaya</a><br>
<a href="https://ugbox.it/wp-includes/assets/">Situs Parlay Bola Terpercaya</a><br>
<a href="https://ynyevents.au/wp-content/uploads/2023/03/">Situs Judi Mix Parlay</a><br>
<a href="https://aaaconcretingandexcavation.com.au/wp-content/plugins/wordfence/waf/">Idpro BandarQQ Terbaik</a><br>
<a href="http://18.194.29.21/mataqq/">QQ ONLINE TERPERCAYA</a><br>
<a href="https://vishadforge.com/wp-includes/css/dist/editor/">Agen Judi PKV Games</a><br>
<a href="https://kousokubusnet.jpn.org/wp-content/uploads/2024/11">Agen Games PKV Online</a><br>
<a href="https://da88.asia/wp-includes/js/jcrop/">Situs Resmi Judi BandarQQ</a><br>
<a href="https://pmogov.ly/wp-includes/assets/Mataqq/">Judi QQ Online</a><br>
<a href="https://www.kosecleaning.be/wp-content/uploads/2017/12/index.html">Permainan BandarQ Terpercaya</a><br>
<a href="https://ungraytech.com/wp-includes/assets/">Situs BandarQQ Terpercaya</a><br>
<a href="http://kakosci.com/wp-includes/assets/">QQ online terpercaya</a><br>
<a href="https://adelaidescrapcar.com.au/wp-includes/fonts/">Situs Poker Online Terpercaya</a><br>
<a href="https://akintransportservices.co.uk/wp-includes/images/">QQ Online</a><br>
<a href="https://bestcartowing.com/wp-content/languages/">Situs Pkv Resmi</a><br>
<a href="https://blingdigital.com.au/wp-content/uploads/2024/12/">Pkv QQ Online</a><br>
<a href="https://brightstartdisabilityservices.com.au/wp-includes/blocks/code/">Situs Judi PKV QQ</a><br>
<a href="https://connectspecialneeds.com.au/wp-includes/js/">Idpro Pkv QQ Online</a><br>
<a href="https://disabilityservicesact.com/">Akun Pro BandarQQ</a><br>
<a href="https://revistaonline.news/wp-includes/ID3/">judi QQ online</a><br>
<a href="https://empathycareservices.com.au/wp-includes/css/dist/">link download BandarQQ</a><br>
<a href="https://amebo.ng/css/">Download APK Pkv Games</a><br>
<a href="https://accionayconecta.barcelona/wp-content/plugins/amp/assets/">Situs QQ Online Terpercaya</a><br>
<a href="https://mrskidcontainersales.com.au/wp-includes/blocks/buttons/">Agen BandarQQ</a><br>
<a href="https://perfectcommunitycare.com.au/wp-includes/js/crop/">Situs Poker Online Terpercaya</a><br>
<a href="https://phonetek.com.au/">Link Download Pkv Games</a><br>
<a href="https://rsdg.net.au/wp-includes/customize/">Download BandarQQ</a><br>
<a href="http://beleafing.com/wp-includes/sitemaps/">Login Situs Judi Pkv</a><br>
<a href="https://rotemex.com/wp-includes/css/">Download Apk Resmi Asli</a><br>
<a href="https://w2.ark.casa/wp-includes/css/">Situs QQ Online Terpercaya</a><br>
<a href="https://ai.arkapp.pw/wp-content/uploads/">BandarQQ</a><br>
<a href="https://shower.casa/wp-includes/js/">Poker Online Terpercaya</a><br>
<a href="http://203.161.60.226/">Judi QQ Poker</a><br>
<a href="http://dcubemails.com/?pkv=Akun+BandarQQ">Situs Judi PKV Games</a><br>
<a href="https://yangpooh.net/wp-includes/css/">Situs QQ Online Terbaik</a><br>
<a href="https://www.ladiscusion.cl/conf/">Judi Bandar QQ Online</a><br>
<a href="https://flightsofare.com/wp-content/uploads/">Link Situs QQ Online</a><br>
<a href="https://oztasinsaat.net/wp-admin/includes/nav.php?p=">Situs BandarQQ Terbaik</a><br>
<a href="https://vedvaani.in/wp-content/uploads/">Pkv Games</a><br>
<a href="https://rsdg.net.au/">Judi Bola</a><br>
<a href="https://flashphotos.rs/wp-includes/css/">Agen Judi Bola Resmi</a><br>
<a href="https://theblacklight.ae/SBOBET/">Agen Judi Bola</a><br>
<a href="https://rsmitrasejati.com/storage/">Situs Taruhan Parlay Online</a><br>
<a href="http://taiyifluid.com/wp-includes/pomo/">Bandar Taruhan Bola</a><br>
<a href="https://ntktrading.com/bitcoin/">Agen Judi Bola Bitcoin</a><br>
<a href="https://deco-passion-renovation.fr/wp-includes/assets/">Mix Parlay Terpercaya</a><br>
<a href="http://100dinero.com/wp-includes/pomo/">QQ Poker Online</a><br>
<a href="https://leadmagnet.ma/wp-includes/css/">Situs Poker Online Terpercaya</a><br>
<a href="https://castio.leadmagnet.ma/castioprod/">Situs Pkv Games</a><br>
<a href="http://tigereagle.co.in/eagle/">Situs Piala Dunia Terbaik</a><br>
<a href="http://www.salaverlasestrellas.com/">Link Situs Judi Bola</a><br>
<a href="http://klaerding.de/">Bandar Judi Bola</a><br>
<a href="http://electrovertigo.com/">Situs Judi Online Terpercaya</a><br>
<a href="https://austrianpilot.at/pilot/">Daftar Situs Judi Bola</a><br>
<a href="https://admin.seniorbhaiya.com/">Bandar Judi Online</a><br>
<a href="http://alheramart.com/">Link Judi Bola Online</a><br>
<a href="https://backend.seniorbhaiya.com/">Daftar Judi Bola Resmi</a><br>
<a href="https://bn.epayra.com/">Link Judi Bola</a><br>
<a href="https://ckagoj.com/">Situs Judi Bola Indonesia</a><br>
<a href="https://chalamanmirsarai.com/backend/">Taruhan Bola Piala Dunia</a><br>
<a href="https://epayra.com/wp/">Situs Judi Bola Online</a><br>
<a href="https://kingsroyalgroupbd.com/king/">Situs Judi Bola Online</a><br>
</div>
    );
};

export default ContactUs;
