import type { Metadata } from "next";
import { Inter } from "next/font/google";
import "./globals.css";
import Navbar from "@/components/Layout/Navbar";
import Provider from "@/components/Provider";
// import Footer from "@/components/Layout/Footer";
import Footer from "@/components/Layout/FooterArea";
import AuthProviders from "./providers";
import "react-toastify/dist/ReactToastify.css";

const inter = Inter({ subsets: ["latin"] });

export const metadata: Metadata = {
  title: "Create Next App",
  description: "Generated by create next app",
};

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {
  return (
    <html lang="en">
      <body
        className={(inter.className, "dark:bg-gray-900")}
        suppressHydrationWarning={true}
      >
        <AuthProviders>
          <Provider>
            <Navbar />
            <main className="flex flex-col flex-1 w-full">{children}</main>
            <Footer />
          </Provider>
        </AuthProviders>
      </body>
    </html>
  );
}
