import { fetchHomePageCourse } from "@/actions/home-page-actions";
import CardList from "@/components/CourseList/CardList";
import { CourseVideoProps } from "@/models/home";
import React from "react";

export const revalidate = 10;

const ModelTestList = async () => {
  const result: CourseVideoProps[] = await fetchHomePageCourse({
    courseType: "MODEL_TEST",
    status: "Approved",
  });
  return (
    <section className="border-general relative -mt-16 w-full overflow-hidden overflow-x-clip border-b bg-slate-50 bg-gradient-to-t from-slate-50 to-slate-100 dark:bg-[#0B1120] dark:bg-none">
      <div className="wrapper max-w-7xl mx-auto px-4 sm:px-6">
        <div className="py-10">
          <div className="mx-auto px-4 text-center max-w-[744px]">
            <div className=" mx-auto">
              <h2 className="mb-2 text-2xl font-semibold leading-[32px] md:mb-4 md:text-[44px] md:leading-[56px] text-black dark:text-white ">
                মডেলটেস্ট সমূহ
              </h2>
            </div>
          </div>
        </div>
        <CardList courseList={result} />
      </div>
    </section>
  );
};

export default ModelTestList;
