/* eslint-disable @next/next/no-img-element */
import { fetchHomePageCourse } from "@/actions/home-page-actions";
import AboutAuthor from "@/components/Home/AboutAuthor";
import CourseSlider from "@/components/Home/CourseSlider";
import DemoSection from "@/components/Home/DemoSection";
import FAQSection from "@/components/Home/FaqQuestion";
import HeroSection from "@/components/Home/HeroSection";
import HeroSection02 from "@/components/Home/HeroSection01";
import HomeCourse from "@/components/Home/HomeCourseItems";
import HomeModelTest from "@/components/Home/HomeModelTest";
import PrerequisitesSection from "@/components/Home/PrerequisitesSection";
import TestCourseItems from "@/components/Home/TestCourseItems";
import UserReview from "@/components/Home/UserReview";
import { CourseVideoProps } from "@/models/home";

export const revalidate = 10;

export default async function Home() {
  const courses: CourseVideoProps[] = await fetchHomePageCourse({
    courseType: "COURSE",
    status: "Approved",
  });
  const modelTest: CourseVideoProps[] = await fetchHomePageCourse({
    courseType: "MODEL_TEST",
    status: "Approved",
  });

  return (
    <div className="container-fluid mx-auto px-4 sm:px-6">
      <HeroSection />
      {/* <HeroSection02 /> */}
      <DemoSection />
      {/* <HomeCourse courses={courses} /> */}
      {/* <TestCourseItems courses={courses} /> */}
      <CourseSlider courses={courses} title="কোর্স সমূহ" />
      <PrerequisitesSection />
      <CourseSlider courses={modelTest} title="মডেলটেস্ট সমূহ" />
      {/* <HomeModelTest modelTest={modelTest} /> */}
      <AboutAuthor />
      <FAQSection />
      <UserReview />
    </div>
  );
}
