/* eslint-disable @next/next/no-img-element */
"use client";

import * as actions from "@/actions";
import { Hind_Siliguri } from "next/font/google";
import { useFormState } from "react-dom";

const HindFont = Hind_Siliguri({
  weight: "400",
  subsets: ["latin"],
});

const Registration = () => {
  const [formState, action] = useFormState(actions.credentialsSignUp, {
    errors: {},
  });

  return (
    <section className="lg:min-h-[calc(100vh_-_347px)]">
      <div className="py-10 lg:py-20">
        <div className="container mx-auto">
          <div className="flex flex-col gap-6 lg:flex-row lg:gap-20">
            <div className="w-full space-y-8">
              <div>
                <h1 className="section-title text-center !text-black dark:!text-[#f8fafc]">
                  <span className="primary-highlighter">রেজিস্ট্রেশন</span> করুন
                </h1>
                <p className="subtitle mx-auto w-full text-center dark:text-gray-300">
                  আপনার লগইন তথ্য কারো সাথে শেয়ার করবেন না
                </p>
              </div>
              <form className="space-y-8" action={action}>
                <div className={`${HindFont.className}`}>
                  <label
                    htmlFor="email"
                    id="email-label"
                    className="mantine-4yl2fc mantine-TextInput-label !text-black dark:!text-[#f8fafc]"
                  >
                    আপনার নাম
                    <span
                      className="mantine-qrh19y mantine-TextInput-required"
                      aria-hidden="true"
                    >
                      {" "}
                      *
                    </span>
                  </label>
                  <div className="mantine-TextInput-wrapper relative]">
                    <input
                      name="name"
                      aria-label="Your name"
                      placeholder="name..."
                      id="name"
                      type="text"
                      aria-invalid="false"
                      className="mantine-TextInput-filledVariant !bg-white !text-black dark:bg-slate-800 mantine-TextInput-input mantine-7i89j6 outline-none !border !border-[#ced4da] rounded-sm"
                    />
                  </div>
                  {formState.errors.name && (
                    <div className="flex items-center gap-2">
                      <span>
                        <svg
                          xmlns="http://www.w3.org/2000/svg"
                          viewBox="0 0 24 24"
                          width="15px"
                          height="15px"
                        >
                          <path d="M 4.9902344 3.9902344 A 1.0001 1.0001 0 0 0 4.2929688 5.7070312 L 10.585938 12 L 4.2929688 18.292969 A 1.0001 1.0001 0 1 0 5.7070312 19.707031 L 12 13.414062 L 18.292969 19.707031 A 1.0001 1.0001 0 1 0 19.707031 18.292969 L 13.414062 12 L 19.707031 5.7070312 A 1.0001 1.0001 0 0 0 18.980469 3.9902344 A 1.0001 1.0001 0 0 0 18.292969 4.2929688 L 12 10.585938 L 5.7070312 4.2929688 A 1.0001 1.0001 0 0 0 4.9902344 3.9902344 z" />
                        </svg>
                      </span>
                      <span className="text-sm font-roboto font-light  text-opacity-80 text-red-500">
                        {formState.errors.name?.join(", ")}
                      </span>
                    </div>
                  )}
                </div>
                <div className={`${HindFont.className}`}>
                  <label
                    htmlFor="email"
                    id="email-label"
                    className="mantine-4yl2fc mantine-TextInput-label !text-black dark:!text-[#f8fafc]"
                  >
                    আপনার ইমেইল এড্রেস
                    <span
                      className="mantine-qrh19y mantine-TextInput-required"
                      aria-hidden="true"
                    >
                      {" "}
                      *
                    </span>
                  </label>
                  <div className="mantine-TextInput-wrapper relative">
                    <input
                      name="email"
                      aria-label="Your email address"
                      placeholder="boss@gmail.com"
                      id="email"
                      type="text"
                      aria-invalid="false"
                      className="mantine-TextInput-filledVariant !bg-white !text-black dark:bg-slate-800 mantine-TextInput-input mantine-7i89j6 outline-none !border !border-[#ced4da] rounded-sm"
                    />
                  </div>
                  {formState.errors.email && (
                    <div className="flex items-center gap-2">
                      <span>
                        <svg
                          xmlns="http://www.w3.org/2000/svg"
                          viewBox="0 0 24 24"
                          width="15px"
                          height="15px"
                        >
                          <path d="M 4.9902344 3.9902344 A 1.0001 1.0001 0 0 0 4.2929688 5.7070312 L 10.585938 12 L 4.2929688 18.292969 A 1.0001 1.0001 0 1 0 5.7070312 19.707031 L 12 13.414062 L 18.292969 19.707031 A 1.0001 1.0001 0 1 0 19.707031 18.292969 L 13.414062 12 L 19.707031 5.7070312 A 1.0001 1.0001 0 0 0 18.980469 3.9902344 A 1.0001 1.0001 0 0 0 18.292969 4.2929688 L 12 10.585938 L 5.7070312 4.2929688 A 1.0001 1.0001 0 0 0 4.9902344 3.9902344 z" />
                        </svg>
                      </span>
                      <span className="text-sm font-roboto font-light  text-opacity-80 text-red-500">
                        {formState.errors.email?.join(", ")}
                      </span>
                    </div>
                  )}
                </div>
                <div className={`${HindFont.className}`}>
                  <label
                    htmlFor="phone"
                    id="phone"
                    className="mantine-4yl2fc mantine-TextInput-label !text-black dark:!text-[#f8fafc]"
                  >
                    আপনার ফোন নাম্বার
                    <span
                      className="mantine-qrh19y mantine-TextInput-required"
                      aria-hidden="true"
                    >
                      {" "}
                      *
                    </span>
                  </label>
                  <div className="mantine-TextInput-wrapper relative">
                    <input
                      name="phone"
                      aria-label="Your phone"
                      placeholder="01*********"
                      id="phone"
                      type="text"
                      aria-invalid="false"
                      className="mantine-TextInput-filledVariant !bg-white !text-black dark:bg-slate-800 mantine-TextInput-input mantine-7i89j6 outline-none !border !border-[#ced4da] rounded-sm"
                    />
                  </div>
                  {formState.errors.phone && (
                    <div className="flex items-center gap-2">
                      <span>
                        <svg
                          xmlns="http://www.w3.org/2000/svg"
                          viewBox="0 0 24 24"
                          width="15px"
                          height="15px"
                        >
                          <path d="M 4.9902344 3.9902344 A 1.0001 1.0001 0 0 0 4.2929688 5.7070312 L 10.585938 12 L 4.2929688 18.292969 A 1.0001 1.0001 0 1 0 5.7070312 19.707031 L 12 13.414062 L 18.292969 19.707031 A 1.0001 1.0001 0 1 0 19.707031 18.292969 L 13.414062 12 L 19.707031 5.7070312 A 1.0001 1.0001 0 0 0 18.980469 3.9902344 A 1.0001 1.0001 0 0 0 18.292969 4.2929688 L 12 10.585938 L 5.7070312 4.2929688 A 1.0001 1.0001 0 0 0 4.9902344 3.9902344 z" />
                        </svg>
                      </span>
                      <span className="text-sm font-roboto font-light  text-opacity-80 text-red-500">
                        {formState.errors.phone?.join(", ")}
                      </span>
                    </div>
                  )}
                </div>
                <div className={`${HindFont.className}`}>
                  <label
                    htmlFor="password"
                    id="password-label"
                    className="mantine-4yl2fc mantine-PasswordInput-label !text-black dark:!text-[#f8fafc]"
                  >
                    পাসওয়ার্ড দিন
                    <span
                      className="mantine-qrh19y mantine-PasswordInput-required"
                      aria-hidden="true"
                    >
                      {" "}
                      *
                    </span>
                  </label>
                  <div className="mantine-Text-root mantine-PasswordInput-description mantine-vitztl !text-black dark:!text-[#f8fafc]">
                    পাসওয়ার্ড কমপক্ষে ৮ অক্ষরের হতে হবে এবং সেখানে কমপক্ষে 1 টি
                    লেটার এবং 1 টি নাম্বার থাকতেই হবে।
                  </div>
                  <div className="mantine-PasswordInput-wrapper relative">
                    <div
                      aria-invalid="false"
                      className="mantine-PasswordInput-filledVariant dark:bg-slate-800 mantine-PasswordInput-input mantine-PasswordInput-input mantine-1is1kg1 !border !border-[#ced4da] rounded-sm"
                    >
                      <input
                        name="password"
                        type="password"
                        className="mantine-f6gkdg mantine-PasswordInput-innerInput outline-none !bg-white !text-black"
                        id="password"
                        placeholder="anyPassword1971"
                        aria-label="Your password"
                      />
                    </div>
                    <div className="mantine-o3oqoy mantine-PasswordInput-rightSection">
                      <button
                        className="mantine-ActionIcon-hover mantine-ActionIcon-root mantine-PasswordInput-visibilityToggle mantine-122en5e"
                        type="button"
                        aria-hidden="true"
                      >
                        <svg
                          width="15"
                          height="15"
                          viewBox="0 0 15 15"
                          fill="none"
                          xmlns="http://www.w3.org/2000/svg"
                        >
                          <path
                            d="M7.5 11C4.80285 11 2.52952 9.62184 1.09622 7.50001C2.52952 5.37816 4.80285 4 7.5 4C10.1971 4 12.4705 5.37816 13.9038 7.50001C12.4705 9.62183 10.1971 11 7.5 11ZM7.5 3C4.30786 3 1.65639 4.70638 0.0760002 7.23501C-0.0253338 7.39715 -0.0253334 7.60288 0.0760014 7.76501C1.65639 10.2936 4.30786 12 7.5 12C10.6921 12 13.3436 10.2936 14.924 7.76501C15.0253 7.60288 15.0253 7.39715 14.924 7.23501C13.3436 4.70638 10.6921 3 7.5 3ZM7.5 9.5C8.60457 9.5 9.5 8.60457 9.5 7.5C9.5 6.39543 8.60457 5.5 7.5 5.5C6.39543 5.5 5.5 6.39543 5.5 7.5C5.5 8.60457 6.39543 9.5 7.5 9.5Z"
                            fill="currentColor"
                            fillRule="evenodd"
                            clipRule="evenodd"
                          ></path>
                        </svg>
                      </button>
                    </div>
                  </div>
                  {formState.errors.password && (
                    <div className="flex items-center gap-2">
                      <span>
                        <svg
                          xmlns="http://www.w3.org/2000/svg"
                          viewBox="0 0 24 24"
                          width="15px"
                          height="15px"
                        >
                          <path d="M 4.9902344 3.9902344 A 1.0001 1.0001 0 0 0 4.2929688 5.7070312 L 10.585938 12 L 4.2929688 18.292969 A 1.0001 1.0001 0 1 0 5.7070312 19.707031 L 12 13.414062 L 18.292969 19.707031 A 1.0001 1.0001 0 1 0 19.707031 18.292969 L 13.414062 12 L 19.707031 5.7070312 A 1.0001 1.0001 0 0 0 18.980469 3.9902344 A 1.0001 1.0001 0 0 0 18.292969 4.2929688 L 12 10.585938 L 5.7070312 4.2929688 A 1.0001 1.0001 0 0 0 4.9902344 3.9902344 z" />
                        </svg>
                      </span>
                      <span className="text-sm font-roboto font-light  text-opacity-80 text-red-500">
                        {formState.errors.password?.join(", ")}
                      </span>
                    </div>
                  )}
                </div>
                {/* hidden fields */}
                <input
                  name="role"
                  aria-label="role"
                  id="role"
                  value="STUDENT"
                  type="text"
                  aria-invalid="false"
                  readOnly
                  className="hidden"
                />
                {formState.errors._form ? (
                  <div className="rounded p-2 bg-red-200 border border-red-400">
                    {formState.errors._form?.join(", ")}
                  </div>
                ) : null}
                <div className="mantine-Group-root mantine-19jxmdp">
                  <button
                    className="mantine-Button-filled bg-slate-800 dark:bg-secondary2 hover:bg-slate-700 dark:hover:bg-secondary1 text-white mantine-Button-root mantine-Group-child mantine-13xrvzk"
                    type="submit"
                  >
                    <div className="mantine-3xbgk5 mantine-Button-inner">
                      <span className="mantine-qo1k2 mantine-Button-label">
                        রেজিস্ট্রেশন করুন
                      </span>
                    </div>
                  </button>
                </div>
              </form>
              <div className="mantine-TextInput-wrapper relative">
                <form>
                  <button
                    // onClick={() => login()}
                    type="submit"
                    className="bg-gradient-to-l from-[#028FF0] via-[#0F9D58] to-[#EB4132] shadow-bmpshadow rounded-md p-[1px] mt-6 w-full"
                  >
                    <div className="bg-white py-[10.5px] px-8 flex items-center justify-center gap-6 rounded-md w-full h-full">
                      <span>
                        <svg
                          height="28"
                          aria-hidden="true"
                          viewBox="0 0 16 16"
                          version="1.1"
                          width="28"
                          data-view-component="true"
                        >
                          <path d="M8 0c4.42 0 8 3.58 8 8a8.013 8.013 0 0 1-5.45 7.59c-.4.08-.55-.17-.55-.38 0-.27.01-1.13.01-2.2 0-.75-.25-1.23-.54-1.48 1.78-.2 3.65-.88 3.65-3.95 0-.88-.31-1.59-.82-2.15.08-.2.36-1.02-.08-2.12 0 0-.67-.22-2.2.82-.64-.18-1.32-.27-2-.27-.68 0-1.36.09-2 .27-1.53-1.03-2.2-.82-2.2-.82-.44 1.1-.16 1.92-.08 2.12-.51.56-.82 1.28-.82 2.15 0 3.06 1.86 3.75 3.64 3.95-.23.2-.44.55-.51 1.07-.46.21-1.61.55-2.33-.66-.15-.24-.6-.83-1.23-.82-.67.01-.27.38.01.53.34.19.73.9.82 1.13.16.45.68 1.31 2.69.94 0 .67.01 1.3.01 1.49 0 .21-.15.45-.55.38A7.995 7.995 0 0 1 0 8c0-4.42 3.58-8 8-8Z"></path>
                        </svg>
                      </span>
                      <span className="text-black md:text-base text-sm font-archivo font-normal">
                        Continue with GItHub
                      </span>
                    </div>
                  </button>
                </form>
              </div>
            </div>

            <div className="w-full">
              <div className="flex h-full w-full items-center justify-center">
                <div>
                  <span>
                    <img
                      alt="Peep"
                      src="/image/login.png"
                      decoding="async"
                      data-nimg="intrinsic"
                    />
                  </span>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  );
};

export default Registration;
