'use client'

import React, { RefObject } from "react";
import { useRef } from "react";
import { useState } from "react";

const Slider = ({ children }:any) => {
  const [isMoved, setIsMoved] = useState(false);
  const rowRef: RefObject<HTMLDivElement> = useRef(null);
  const handleClick = (direction: any) => {
    setIsMoved(true);
    if (rowRef.current) {
      const { scrollLeft, clientWidth } = rowRef.current;

      const scrollTo =
        direction === "left"
          ? scrollLeft - clientWidth
          : scrollLeft + clientWidth;
      rowRef.current.scrollTo({ left: scrollTo, behavior: "smooth" });
    }
  };
  return (
    <div className="all_category relative overflow-hidden group/item m-auto">
      <div
        className="flex items-center space-x-2 overflow-x-scroll scrollbar-hide md:space-x-4 py-2"
        ref={rowRef}
      >
        {children}
      </div>
      <div
        className={`allCate-button-prev absolute top-1/2 -left-16 -translate-y-1/2 w-8 h-8 flex justify-center items-center bg-white rounded-full drop-shadow-bmp z-50 transition-all ease-out group-hover/item:left-3 border border-black ${
          !isMoved && "hidden"
        } cursor-pointer group/edit`}
        onClick={() => handleClick("left")}
      >
        <svg
          xmlns="http://www.w3.org/2000/svg"
          className="h-5 w-5 text-[#0DC1D9]"
          fill="none"
          viewBox="0 0 24 24"
          stroke="currentColor"
          strokeWidth="2"
        >
          <path
            strokeLinecap="round"
            strokeLinejoin="round"
            d="M15 19l-7-7 7-7"
          />
        </svg>
      </div>
      <div
        onClick={() => handleClick("right")}
        className="allCate-button-next absolute top-1/2 -right-8 -translate-y-1/2 w-8 h-8 flex justify-center items-center bg-white rounded-full drop-shadow-bmp z-50 group-hover/item:right-3 transition-all ease-in-out cursor-pointer border border-black"
      >
        <svg
          xmlns="http://www.w3.org/2000/svg"
          className="h-5 w-5 text-[#0DC1D9]"
          fill="none"
          viewBox="0 0 24 24"
          stroke="currentColor"
          strokeWidth="2"
        >
          <path strokeLinecap="round" strokeLinejoin="round" d="M9 5l7 7-7 7" />
        </svg>
      </div>
    </div>
  );
};

export default Slider;
