import Link from 'next/link';
import avatar from '@/asstes/svg/avatar-education.svg'
import Image from 'next/image';

const CourseList = () => {
    return (
        <div className="container pt-4 mb-12 sm:mt-4">
            <div className="w-full h-full">
                <div className="mb-4 sm:mb-8">
                    <div className="flex items-center sm:justify-between md:justify-start xs:justify-between">
                        <h2 className="mr-2 text-lg font-semibold">রেকর্ডেড কোর্সসমূহ</h2>
                    </div>
                </div>
                <div className="hideScrollbar grid w-full grid-cols-[1fr_1fr_1fr_1fr] overflow-x-auto md:flex-wrap mx-xl:flex-nowrap gap-5 md:h-full md:gap-6 ">

                    {/* <Link href="/product/bank-job/"> */}
                    <a className="border border-[#E5E7EB] my-0 flex h-full min-w-[200px] max-w-[200px] cursor-pointer flex-col overflow-hidden rounded transition-colors hover:border-green md:min-w-[272px] md:rounded-[6px]">

                        <img
                            src="https://cdn.10minuteschool.com/images/skills/Updated_Thumbnail_v3/BankJ.jpg"
                            alt="ব্যাংক জবস কোর্স"
                        // className="w-full h-auto opacity-0 transition-opacity duration-300 ease-in-out"
                        />
                        <div className="flex min-w-0 flex-1 flex-col justify-between gap-2 p-[14px]">
                            <div>
                                <h2 className="mb-1 h-14 text-sm font-semibold line-clamp-2  md:text-lg ">ব্যাংক জবস কোর্স</h2>
                                <h3 className="max-h-[50px] overflow-hidden truncate text-xs text-[#6B7280] md:text-sm">Meemnur Rashid +8</h3>
                            </div>
                            <div className="flex items-center justify-between md:items-end">
                                <div className="price-template">৳ 1500</div>
                            </div>
                        </div>
                    </a>
                    {/* </Link> */}
                    {/* <Link href="/product/another-course/"> */}
                    <a className="border border-[#E5E7EB] my-0 flex h-full min-w-[200px] max-w-[200px] cursor-pointer flex-col overflow-hidden rounded transition-colors hover:border-green md:min-w-[272px] md:rounded-[6px]">
                        <img
                            src="https://cdn.10minuteschool.com/images/skills/Updated_Thumbnail_v3/BankJ.jpg"
                            alt="Another Course"
                        // className="w-full h-auto opacity-0 transition-opacity duration-300 ease-in-out"
                        />
                        <div className="flex min-w-0 flex-1 flex-col justify-between gap-2 p-[14px]">
                            <div>
                                <h2 className="mb-1 h-14 text-sm font-semibold line-clamp-2  md:text-lg ">Another Course</h2>
                                <h3 className="max-h-[50px] overflow-hidden truncate text-xs text-[#6B7280] md:text-sm">Author Name +X</h3>
                            </div>
                            <div className="flex items-center justify-between md:items-end">
                                <div className="price-template">৳ 2000</div>
                            </div>
                        </div>
                    </a>
                    {/* </Link> */}
                </div>
            </div>

            <div className="bg-gray-100 md:bg-white md:py-0">
                <div className="bg-white">
                    <div className="flex justify-between w-full">
                        <h2 className="text-xl font-semibold mb-2 md:mb-4">কোর্স সিলেবাস</h2>
                    </div>
                    <div className="relative">
                        <div className="p-5 border border-gray-200 rounded-md">
                            {/* Example of one course, replicate this block for others */}
                            <details className="border-b border-gray-200 last:border-0">
                                <summary className="flex items-center gap-2 py-4 font-medium cursor-pointer">
                                    <div className="w-8 h-8 md:w-10 md:h-10 rounded-full">
                                        <Image
                                            alt="Course Title"
                                            src={avatar}
                                            className="w-full h-full rounded-full"
                                            loading="lazy"
                                            width={40}
                                            height={40}
                                        />
                                    </div>
                                    <h3>Course Title</h3>
                                </summary>
                                <div className="pt-4 border-t border-gray-200">
                                    <ul>
                                        <li className="flex mb-4">
                                            <span className="flex-shrink-0 mr-4">
                                                <svg className="text-gray-500" width="24" height="24" fill="currentColor" viewBox="0 0 24 24">
                                                    {/* Your SVG path here */}
                                                </svg>
                                            </span>
                                            <div>
                                                <h4 className="text-sm font-semibold text-gray-900">Topic Name</h4>
                                                <div className="flex items-center my-1">
                                                    <p className="text-gray-500 mr-2 text-sm">10 টি এক্সাম</p>
                                                </div>
                                            </div>
                                        </li>
                                    </ul>
                                </div>
                            </details>


                            {/* Repeat <details> for more courses */}
                        </div>
                        <button className="absolute bottom-[-15px] left-1/2 transform -translate-x-1/2 flex items-center gap-2 rounded-full bg-white px-4 py-1 text-sm text-gray-500 shadow-md hover:bg-gray-50 hover:text-gray-700">
                            সকল বিষয়
                        </button>
                    </div>
                </div>
            </div>

        </div>
    );
};

export default CourseList;
