import { LessonDescription } from "@/models/courseDetails";
import React, { useState } from "react";
import parse from "html-react-parser";

type VideoFooterProps = {
  lesson: LessonDescription;
};

const VideoFooter = (props: VideoFooterProps) => {
  const [descriptionTab, setDescriptionTab] = useState(1);
  const [expand, setExpand] = useState(false);
  return (
    <div className="relative col-span-full space-y-4 pb-4 lg:col-span-2 lg:space-y-8">
      <div className="mantine-Skeleton-root mantine-20y35w">
        <div id="tabSection">
          <div className="pb-5 lg:pb-20 mantine-Tabs-root mantine-jjhffj">
            <div className="border-b border-general  mantine-Tabs-tabsListWrapper mantine-Tabs-default mantine-cuhnd8">
              <div
                className="mantine-Group-root __mantine-ref-tabsList mantine-Tabs-tabsList mantine-1tggmaq"
                role="tablist"
                aria-orientation="horizontal"
              >
                <button
                  className={`text-center font-medium text-slate-900 dark:text-slate-200 mantine-Tabs-tabControl mantine-Tabs-default   mantine-Tabs-tabActive mantine-Group-child mantine-d814q8 ${
                    descriptionTab === 1 &&
                    "__mantine-ref-tabActive dark:bg-slate-800"
                  }`}
                  //   tabindex="0"
                  type="button"
                  role="tab"
                  aria-selected="true"
                  onClick={() => setDescriptionTab(1)}
                >
                  <div className="mantine-rdtd06 mantine-Tabs-tabInner">
                    <div className="mantine-1s8spa1 text-center font-medium text-slate-900 dark:text-slate-200 mantine-Tabs-tabLabel">
                      ভিডিও ডেসক্রিপশন
                    </div>
                  </div>
                </button>
                <button
                  className={`text-center font-medium text-slate-900 dark:text-slate-200 mantine-Tabs-tabControl mantine-Tabs-default mantine-Group-child mantine-1ospbq3 ${
                    descriptionTab === 2 &&
                    "mantine-d814q8 __mantine-ref-tabActive dark:bg-slate-800"
                  }`}
                  //   tabindex="-1"
                  type="button"
                  role="tab"
                  aria-selected="false"
                  onClick={() => setDescriptionTab(2)}
                >
                  <div className="mantine-rdtd06 mantine-Tabs-tabInner">
                    <div className="mantine-1s8spa1 text-center font-medium text-slate-900 dark:text-slate-200 mantine-Tabs-tabLabel">
                      রেফারেন্স
                    </div>
                  </div>
                </button>
              </div>
            </div>
            <div
              role="tabpanel"
              className="mantine-1opdmpb pt-5 lg:pt-10 mantine-Tabs-body"
            >
              {descriptionTab === 1 && (
                <div className="ldescription">
                  <div className="mt-2 lg:mt-4 lg:hidden mantine-1avyp1d">
                    <div className="border-b border-general last:border-none mantine-Accordion-item mantine-15jtvna">
                      <h3 className="__mantine-ref-itemTitle mantine-oih4rj mantine-Accordion-itemTitle">
                        <button
                          className="mantine-UnstyledButton-root __mantine-ref-control hover:!bg-transparent p-0 mantine-Accordion-control mantine-yhz28t flex flex-row items-baseline justify-center gap-2"
                          type="button"
                          aria-expanded="false"
                          aria-controls="mantine-g02vde8lf-0-body"
                          id="mantine-g02vde8lf-0"
                          onClick={() => setExpand(!expand)}
                        >
                          <div className="__mantine-ref-icon text-black dark:text-white -mt-5 mantine-Accordion-icon mantine-1b57wu">
                            <svg
                              viewBox="0 0 15 15"
                              fill="none"
                              xmlns="http://www.w3.org/2000/svg"
                              width="16"
                              height="16"
                              className={expand ? "rotate-180" : ""}
                            >
                              <path
                                d="M3.13523 6.15803C3.3241 5.95657 3.64052 5.94637 3.84197 6.13523L7.5 9.56464L11.158 6.13523C11.3595 5.94637 11.6759 5.95657 11.8648 6.15803C12.0536 6.35949 12.0434 6.67591 11.842 6.86477L7.84197 10.6148C7.64964 10.7951 7.35036 10.7951 7.15803 10.6148L3.15803 6.86477C2.95657 6.67591 2.94637 6.35949 3.13523 6.15803Z"
                                fill="currentColor"
                                fillRule="evenodd"
                                clipRule="evenodd"
                              ></path>
                            </svg>
                          </div>
                          <div className="mantine-hgwlez text-slate-900 dark:text-slate-200 text-lg tracking-tight font-semibold mantine-Accordion-label">
                            <h1 className="text-xl font-bold tracking-tight text-slate-900 dark:text-white">
                              {props?.lesson?.name}
                            </h1>
                            <h2 className="pb-4 text-sm font-normal leading-[1.7142857] text-slate-600 dark:text-slate-400">
                              অনলাইন কোর্স
                            </h2>
                          </div>
                        </button>
                      </h3>
                      <div
                        className="mantine-1avyp1d"
                        aria-hidden="true"
                        //   style="box-sizing: border-box; display: none; height: 0px; overflow: hidden;"
                        style={{
                          boxSizing: "border-box",
                          height: expand ? "100%" : 0,
                          overflow: "hidden",
                        }}
                      >
                        {/* <div style="opacity: 0; transition: opacity 200ms ease 0s;"> */}
                        <div
                          style={{
                            opacity: expand ? 1 : 0,
                            transition: "opacity 200ms ease 0s",
                          }}
                        >
                          <div
                            className="mantine-oos5ld px-0 border-t border-general mantine-Accordion-content"
                            role="region"
                            id="mantine-g02vde8lf-0-body"
                            aria-labelledby="mantine-g02vde8lf-0"
                          >
                            <div className="mantine-10o5s20 px-0 mantine-Accordion-contentInner">
                              <div className="prose mt-4 max-w-full text-[#334155] dark:text-slate-400">
                                <div id="lwsMarkdown">
                                  <p>
                                    {props?.lesson?.info &&
                                      parse(props?.lesson?.info)}
                                  </p>
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div className="hidden lg:block">
                    <h1 className="text-lg font-semibold tracking-tight text-slate-900 dark:text-white">
                      {props?.lesson?.name}
                    </h1>
                    <h2 className="border-general border-b pb-4 text-sm leading-[1.7142857] text-slate-600 dark:text-slate-400">
                      অনলাইন কোর্স
                    </h2>
                    <div className="prose mt-4 max-w-full text-[#334155] dark:text-slate-400">
                      <div id="lwsMarkdown">
                      
                        <p>{props?.lesson?.info && (props?.lesson?.info as any)?.description}</p>
                      </div>
                    </div>
                  </div>
                </div>
              )}
            </div>
          </div>
        </div>
      </div>
    </div>
  );
};

export default VideoFooter;
