import { Lesson, LessonDescription } from "@/models/courseDetails";
import React, { useEffect, useRef } from "react";
import ReactPlayer from "react-player";
import "./style.css";

type VideoPlayerProps = {
  player: any;
  lesson: Lesson | LessonDescription;
};

const VideoPlayer = (props: VideoPlayerProps) => {
  const playerRef = useRef<ReactPlayer>(null);

  return (
    <div className="relative mb-5 h-full">
      <div className="flex h-full w-full items-center justify-center">
        <div
          className="aspect-video w-full"
          style={{ width: "100%", height: "100%" }}
        >
          <div style={{ width: "100%", height: "100%" }}>
            <ReactPlayer
              ref={props?.player}
              url={props?.lesson?.lessonURL || ""}
              controls
              playing={true}
              width="100%"
              height={"100%"}
              className="aspect-video height-auto"
              config={{ youtube: { playerVars: { autoplay: 1 } } }}
            />
          </div>
        </div>
      </div>
    </div>
  );
};

export default VideoPlayer;
