"use client";
import { Lesson, LessonDescription, Sections } from "@/models/courseDetails";
import Link from "next/link";
import React, { useEffect, useState } from "react";
import { useRouter } from "next/navigation";

type VideoSidebarInputProps = {
  videos: Sections[];
  openAccordion: (item: Sections) => void;
  currentLesson: Lesson | LessonDescription;
  currentCourse: string;
  isAuthCourse: boolean;
};

const VideoSidebar = (props: VideoSidebarInputProps) => {
  const router = useRouter();
  return (
    <div className="border-light-1 shadow-1 col-span-full rounded-md border dark:border-slate-50/[0.06] dark:bg-slate-900 lg:col-span-1 lg:h-[575px] lg:rounded-lg">
      {/* <div className="sticky top-0 z-10 rounded-t-md border-b bg-slate-50 p-3 dark:border-slate-800 dark:bg-slate-900 lg:rounded-t-lg">
        <div className="flex flex-1 items-center justify-center">
          <div className="w-full">
            <div className="mantine-TextInput-root mantine-18aghr7">
              <div className="mantine-TextInput-wrapper relative">
                <div className="mantine-1xgx1nt mantine-TextInput-icon">
                  <svg
                    stroke="currentColor"
                    fill="currentColor"
                    strokeWidth="0"
                    viewBox="0 0 1024 1024"
                    className="h-4 w-4"
                    height="1em"
                    width="1em"
                    xmlns="http://www.w3.org/2000/svg"
                  >
                    <path d="M909.6 854.5L649.9 594.8C690.2 542.7 712 479 712 412c0-80.2-31.3-155.4-87.9-212.1-56.6-56.7-132-87.9-212.1-87.9s-155.5 31.3-212.1 87.9C143.2 256.5 112 331.8 112 412c0 80.1 31.3 155.5 87.9 212.1C256.5 680.8 331.8 712 412 712c67 0 130.6-21.8 182.7-62l259.7 259.6a8.2 8.2 0 0 0 11.6 0l43.6-43.5a8.2 8.2 0 0 0 0-11.6zM570.4 570.4C528 612.7 471.8 636 412 636s-116-23.3-158.4-65.6C211.3 528 188 471.8 188 412s23.3-116.1 65.6-158.4C296 211.3 352.2 188 412 188s116.1 23.2 158.4 65.6S636 352.2 636 412s-23.3 116.1-65.6 158.4z"></path>
                  </svg>
                </div>
                <input
                  placeholder="কোর্স লেসন সার্চ করুন"
                  id="mantine-ve28i8uql"
                  type="text"
                  aria-invalid="false"
                  className="mantine-TextInput-filledVariant text-base sm:text-sm h-auto dark:bg-slate-800 dark:border dark:border-slate-50/[0.06] mantine-TextInput-input mantine-TextInput-withIcon mantine-9sfq4p"
                  value=""
                ></input>
              </div>
            </div>
          </div>
        </div>
      </div> */}
      <div className="flow-root px-4 py-2">
        <div>
          <div
            className="mantine-ScrollArea-root h-[425px] mantine-jghxib"
            style={{ position: "relative" }}
          >
            <div className="mantine-h9qh3s mantine-ScrollArea-viewport overflow-y-scroll">
              <div style={{ minWidth: "100%", display: "table" }}>
                <div className="mt-4 mantine-1avyp1d">
                  {props?.videos?.map((com: Sections, index) => {
                    return (
                      <div
                        className="mantine-Accordion-item mantine-Accordion-itemOpened mantine-1m2hmgc"
                        key={index}
                      >
                        <div className="__mantine-ref-itemTitle mantine-oih4rj mantine-Accordion-itemTitle">
                          <button
                            className="mantine-UnstyledButton-root __mantine-ref-control !items-start mantine-Accordion-control mantine-vbm8tw"
                            type="button"
                            aria-controls="mantine-rh3er62fj-0-body"
                            id="mantine-rh3er62fj-0"
                            aria-expanded="true"
                          >
                            <div className="__mantine-ref-icon mantine-Accordion-icon mantine-1bs1ztn">
                              <svg
                                viewBox="0 0 15 15"
                                fill="none"
                                xmlns="http://www.w3.org/2000/svg"
                                width="16"
                                height="16"
                                className={`${com.isExpand ? "rotate-180" : ""
                                  }`}
                              >
                                <path
                                  d="M3.13523 6.15803C3.3241 5.95657 3.64052 5.94637 3.84197 6.13523L7.5 9.56464L11.158 6.13523C11.3595 5.94637 11.6759 5.95657 11.8648 6.15803C12.0536 6.35949 12.0434 6.67591 11.842 6.86477L7.84197 10.6148C7.64964 10.7951 7.35036 10.7951 7.15803 10.6148L3.15803 6.86477C2.95657 6.67591 2.94637 6.35949 3.13523 6.15803Z"
                                  fill="currentColor"
                                  fillRule="evenodd"
                                  clipRule="evenodd"
                                ></path>
                              </svg>
                            </div>
                            <div
                              className="mantine-hgwlez mantine-Accordion-label"
                              onClick={() => props.openAccordion(com)}
                            >
                              <div className="space-y-2 text-black dark:text-white">
                                <div className="flex justify-between gap-3">
                                  <span>
                                    Module {index + 1} - {com?.name}
                                  </span>
                                </div>
                              </div>
                            </div>
                          </button>
                        </div>
                        <div
                          className="mantine-1avyp1d"
                          style={{ boxSizing: "border-box" }}
                        >
                          <div
                            style={{
                              opacity: com.isExpand ? 1 : 0,
                              height: com.isExpand ? "100%" : 0,
                              transition: "opacity 200ms ease 0s",
                              overflow: "hidden",
                            }}
                          >
                            <div className="mantine-28ltvc mantine-Accordion-content">
                              <div className="mantine-10o5s20 !px-0 mantine-Accordion-contentInner">
                                <ul className="border-general border-b last:border-none">
                                  {com.lessons.map((item, index) => {
                                    return (
                                      <li
                                        key={item.id}
                                        className={`px-2 py-2 hover:bg-slate-200 dark:hover:bg-gray-800   ${item.id === props.currentLesson.id &&
                                          "!bg-slate-200 dark:!bg-gray-800"
                                          }`}
                                      >
                                        <button
                                          // href={`/${props.currentCourse}/course/${item.id}`}
                                          disabled={!item?.isAuthUser && !item.isFree}
                                          onClick={() =>
                                            router.push(
                                              `/${props?.currentCourse}/course/${item.id}`
                                            )
                                          }
                                          className="disabled:bg-gray-500 w-full text-left p-2 text-slate-900 dark:text-slate-200 disabled:!text-gray"
                                        >
                                          <div className="ml-4 flex space-x-3">
                                            <svg
                                              stroke="currentColor"
                                              fill="none"
                                              strokeWidth="2"
                                              viewBox="0 0 24 24"
                                              strokeLinecap="round"
                                              strokeLinejoin="round"
                                              className="h-6 w-6 flex-shrink-0 text-violet-500 dark:text-secondary2"
                                              height="1em"
                                              width="1em"
                                              xmlns="http://www.w3.org/2000/svg"
                                            >
                                              <circle
                                                cx="12"
                                                cy="12"
                                                r="10"
                                              ></circle>
                                              <polygon points="10 8 16 12 10 16 10 8"></polygon>
                                            </svg>
                                            <div className="min-w-0 flex-1">
                                              <div className="line-clamp-2 text-sm font-medium ">
                                                {index + 1}. {item.name}
                                              </div>
                                              <p className="truncate text-xs leading-[1.7142857] ">
                                                {item.duration} minute
                                              </p>
                                            </div>
                                          </div>
                                        </button>
                                      </li>
                                    );
                                  })}
                                </ul>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                    );
                  })}
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      {!props.isAuthCourse && < Link href={`/${props?.currentCourse}/enrollment`}>
        <button className="font-bold rounded-md bg-green-500 p-3 whitespace-nowrap text-base text-white md:w-full hover:bg-green-600 focus:outline-none focus:ring-2 focus:ring-green-700 focus:ring-opacity-50">
          কোর্সটি কিনুন
        </button>
      </Link>}
    </div >
  );
};

export default VideoSidebar;
