/* eslint-disable @next/next/no-img-element */
"use client";
import Image from "next/image";

const CourseOverview = (props: any) => {
  const course = props?.course
  return (
    <section className="wrapper scroll-mt-16" id="modules">
      <div className="container space-y-14">
        <div className="w-full text-center">
          <div className="flex h-full w-full items-center justify-center">
            <div>
              <span>
                <Image
                  width={112}
                  height={112}
                  alt="Peep"
                  src="/image/peep2.svg"
                  decoding="async"
                  data-nimg="intrinsic"
                />
              </span>
            </div>
          </div>
          <h1 className="section-title dark:text-white">
            কোর্সে যে যে <span className="text-[#07A8ED]">মডিউল</span> থাকছে
          </h1>
          <p className="subtitle">
            {course?.sections?.length} টি মডিউলে সাজানো হয়েছে পুরো কোর্সটি
          </p>
        </div>
        {course?.sections?.length > 0 ? (
          <div className="flex flex-col gap-6 justify-center lg:flex-row lg:gap-28">
            <div className="w-full flex items-center justify-center">
              <Image
                width={112}
                height={112}
                alt="Peep"
                src="/image/peep2.svg"
                decoding="async"
                data-nimg="intrinsic"
              />
            </div>
            <div className="flex w-full flex-col justify-center pb-10 lg:pr-20">
              <div
                className="mantine-ScrollArea-root overflow-y-scroll relative h-[380px]"
                dir="ltr"
              >
                <div
                  data-radix-scroll-area-viewport=""
                  className="mantine-h9qh3s mantine-ScrollArea-viewport "
                >
                  <div style={{ minWidth: "100%", display: "table" }}>
                    <div className="mantine-wy4wek ">
                      {course?.sections?.map((sec: any, index: number) => (
                        <div
                          key={sec?.id}
                          className="mantine-Timeline-item mantine-Timeline-itemLineActive mantine-Timeline-itemActive mantine-1oal5op mb-5 dark:text-white"
                        >
                          <div className="__mantine-ref-itemBullet mantine-Timeline-itemBullet __mantine-ref-itemBulletWithChild mantine-Timeline-itemBulletWithChild mantine-1xpdyrs">
                            <svg
                              stroke="currentColor"
                              fill="currentColor"
                              className="stroke-orange-300 fill-blue-600"
                              strokeWidth="0"
                              viewBox="0 0 24 24"
                              height="12"
                              width="12"
                              xmlns="http://www.w3.org/2000/svg"
                            >
                              <g>
                                {index + 1}
                                {/* <path fill="none" d="M0 0h24v24H0z"></path> */}
                                {/* <path d="M14 1.5V22h-2V3.704L7.5 4.91V2.839l5-1.339z"></path> */}
                              </g>
                            </svg>
                          </div>
                          <div className="mantine-1s8spa1 space-y-2 mantine-Timeline-itemBody">
                            <div className="mantine-Text-root text-1 font-semibold mantine-Timeline-itemTitle mantine-12h7nbn">
                              {`মডিউল- ${index + 1}`}
                            </div>
                            <div className="mantine-1s8spa1 text-2 space-y-2 mantine-Timeline-itemContent">
                              <div className="text-1 text-sm">{sec?.name}</div>
                              <div className="mantine-Group-root mantine-6y1794">
                                {sec?.lessons?.map(
                                  (les: any, index: number) => (
                                    <div
                                      key={les?.id}
                                      className="mantine-Badge-outline mantine-Badge-root mantine-Group-child mantine-orbjuq"
                                    >
                                      <span className="mantine-h9iq4m mantine-Badge-inner">
                                        {les?.name}
                                      </span>
                                    </div>
                                  )
                                )}
                              </div>
                            </div>
                          </div>
                        </div>
                      ))}
                    </div>
                  </div>
                </div>
                <div
                  data-orientation="horizontal"
                  className="mantine-3u1w4 bg-transparent hover:bg-transparent mantine-ScrollArea-scrollbar"
                ></div>
                <div
                  data-orientation="vertical"
                  className="mantine-3u1w4 bg-transparent hover:bg-transparent mantine-ScrollArea-scrollbar"
                >
                  <div className="__mantine-ref-thumb mantine-8rr8bc dark:bg-slate-800 bg-slate-300 mantine-ScrollArea-thumb"></div>
                </div>
                <div className="mantine-9s8b9g mantine-ScrollArea-corner"></div>
              </div>
            </div>
          </div>
        ) : (
          <div className="mantine-Text-root text-1 font-semibold mantine-Timeline-itemTitle mantine-12h7nbn">
            {`No Found!!`}
          </div>
        )}
      </div>
    </section>
  );
};

export default CourseOverview;
