import Image from "next/image";
import React from "react";

const AboutAuthor = () => {
  return (
    <section className="wrapper !bg-primary1 dark:!bg-slate-900 dark:bg-none mt-3">
      <div className="container space-y-14">
        <h1 className="section-title font-bold text-2xl text-center  text-black dark:text-white pb-10">
        <span className="text-[#07A8ED]">প্রতিষ্ঠাতা সম্পর্কে</span>
          {' '} কিছু কথা
        </h1>
        <div className="flex flex-col gap-y-10 lg:flex-row">
          <div className="w-full self-center p-6 ">
            <p className="text-normal text-black dark:text-gray-300">
              বুয়েটে কম্পিউটার সায়েন্স এন্ড ইঞ্জিনিয়ারিং নিয়ে পড়া অবস্থায় ২০০৮
              সালে তিনি প্রতিষ্ঠা করেন বাংলাদেশের প্রথম ডিজিটাল এজেন্সি -
              অ্যানালাইজেন। প্রোগ্রামিং এর প্রতি ভালবাসা এবং মানুষকে শেখানোর
              প্রতি আগ্রহ থেকে এরপরে তিনি ২০২০ সালে প্রতিষ্ঠা করেন লার্ন উইথ
              সুমিত প্লাটফর্ম যেখানে প্রায় ৩৫০+ প্রোগ্রামিং রিলেটেড ভিডিও
              টিউটোরিয়াল রয়েছে। লার্ন উইথ সুমিত ইউটিউব চ্যানেল এবং পাবলিক ফেসবুক
              গ্রুপ থেকে প্রায় এক লক্ষেরও বেশি মানুষ ফ্রি প্রোগ্রামিং শিখছে।
            </p>
            <p className="text-normal mt-2 text-black dark:text-white">
              তিনি নিজে একজন ফুল স্ট্যাক ওয়েব ডেভেলপার ও সফটওয়্যার আর্কিটেক্ট
              এবং দীর্ঘ 14 বছর ধরে তিনি ওয়েব ডেভেলপমেন্ট ও সফটওয়্যার পেশার সাথে
              জড়িত।
            </p>
            <h1 className="text-small mt-8 font-bold text-black dark:text-white">
              yeasin arafat
            </h1>
            <p className="text-small text-black dark:text-white">
              প্রতিষ্ঠাতা - yeasin arafat
            </p>
            <div className="text-small text-2 mt-2 text-black dark:text-white">
              ট্রেড লাইসেন্স -
            </div>
          </div>
          <div className="relative w-full text-center lg:border-l-2 lg:border-yellow-400">
            <div className="nextjs-image !rounded-1 !shadow-1 relative z-10 mx-auto h-[350px] w-[200px] origin-bottom-right -rotate-6 transform !border-4 lg:h-[350px] lg:w-[280px]">
              <span>
                <Image
                  fill
                  alt="Instructor"
                  src="https://plus.unsplash.com/premium_photo-1700392110676-62ded5681f70?q=80&w=1374&auto=format&fit=crop&ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D"
                  decoding="async"
                  loading="lazy"
                />
              </span>
            </div>
            <div className="!rounded-1 absolute right-[25%] md:bottom-20 z-0 mx-auto h-[350px] w-[200px] border-4 border-white !bg-[#8E6AC8] lg:h-[350px] lg:w-[280px] hidden lg:block"></div>
          </div>
        </div>
      </div>
    </section>
  );
};

export default AboutAuthor;
