/* eslint-disable @next/next/no-img-element */

import { CourseVideoProps } from "@/models/home";
import Image from "next/image";
import Link from "next/link";

const CourseItem = (props: CourseVideoProps) => {
  return (
    <div className="border-general rounded-1 bg-0 scale-general relative z-10 flex w-full flex-col border p-4">
      <div className="flex flex-col items-center space-y-4 text-center">
        <span>
          <Image
            alt="রিয়াক্টিভ এক্সেলেরটর Logo"
            src= {props?.thumbnail || "https://arafatacczone.com/wp-content/uploads/2023/12/406464339_2143208502690764_259578852390532379_n.jpg"}
            width={550}
            height={320}
            decoding="async"
            className="brightness-110"
          />
        </span>
      </div>
      <p className="text-1 text-medium mt-4 !text-center lg:text-left">
        {props.name}
      </p>
      <div className="mt-6 flex justify-center gap-4 lg:mx-0 lg:flex-row">
        <div className="flex flex-wrap gap-1 border border-gray-400 rounded justify-center items-center p-2">
          <span className="mantine-qo1k2 mantine-Button-label">
            <div className="flex justify-between gap-2">
              <span>{props.price} টাকা</span>
            </div>
          </span>
        </div>

        <div className="flex justify-center items-center">
          <div className="relative inline-flex group">
            <div className="absolute transitiona-all duration-1000 opacity-70 -inset-px bg-gradient-to-r from-[#44BCFF] via-[#FF44EC] to-[#FF675E] rounded-xl blur-lg group-hover:opacity-100 group-hover:-inset-1 group-hover:duration-200 animate-tilt"></div>
            <a
              href={`/${props._id}`}
              title=""
              className="p-1 relative inline-flex items-center justify-center px-2 py-2 text-md font-bold text-white transition-all duration-200 bg-gray-900 font-pj rounded-xl focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-gray-900"
              role="button"
            >
              বিস্তারিত
            </a>
          </div>
        </div>
      </div>
      <div className="mt-3 flex w-full justify-center">
        <div className="text-2 flex space-x-1 text-sm">
          <svg
            stroke="currentColor"
            fill="currentColor"
            strokeWidth="0"
            viewBox="0 0 1024 1024"
            className="mr-0 flex-shrink-0 lg:mr-1"
            height="16"
            width="16"
            xmlns="http://www.w3.org/2000/svg"
          >
            <path d="M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"></path>
            <path d="M464 336a48 48 0 1 0 96 0 48 48 0 1 0-96 0zm72 112h-48c-4.4 0-8 3.6-8 8v272c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8V456c0-4.4-3.6-8-8-8z"></path>
          </svg>
          <span className="text-center text-xs md:text-sm">
            এনরোলমেন্টের সময় বাংলাদেশি মোবাইল নাম্বার ব্যবহার করুন
          </span>
        </div>
      </div>
    </div>
  );
};

export default CourseItem;
