import React from 'react';

const demoData = [
    {
        id: 1,
        bgColor: '#DD712C',
        image: 'https://www.zahidschemclinic.com/zahid/assets/images/misc/school.png',
        firstLine: 'স্কুলের শিক্ষার্থীদের',
        secondLine: 'জন্য কোর্স'
    },
    {
        id: 2,
        bgColor: '#5DB1D5',
        image: 'https://www.zahidschemclinic.com/zahid/assets/images/misc/college.png',
        firstLine: 'কলেজের শিক্ষার্থীদের',
        secondLine: 'জন্য কোর্স'
    },
    {
        id: 3,
        bgColor: 'red',
        image: 'https://www.zahidschemclinic.com/zahid/assets/images/misc/university.png',
        firstLine: 'এডমিশন টেস্ট',
        secondLine: 'জন্য কোর্স'
    },
    {
        id: 1,
        bgColor: '#42822F',
        image: 'https://www.zahidschemclinic.com/zahid/assets/images/misc/job.png',
        firstLine: 'অন্যান্য',
        secondLine: 'স্পেশাল কোর্স'
    },
]

const ChemistryCoursesSection = () => {
    return (
        <section className="py-5">
            <div className="container">
                <div className="md:w-3/5 lg:w-1/2 mx-auto">
                    <h1 className="text-dark text-center font-bold text-2xl md:text-3xl lg:text-4xl">
                        {" সহজে অনলাইনে "}
                        <span className="text-primary-dark relative">
                            {" ব্যবসা শিক্ষা"}
                        </span> ছড়িয়ে দিয়ে
                        আমাদের কোর্সগুলা বিভিন্ন ধাপে সাজানো হয়েছে
                    </h1>
                </div>
                <div className="grid grid-cols-1 sm:grid-cols-2 md:grid-cols-4 gap-8 md:gap-5 xl:gap-7 mt-8">
                    {
                        demoData?.map(item => (
                            <div key={item.id} className="group shadow-two flex justify-center items-center py-2 esm:py-10 sm:py-8 md:px-2 md:py-2 xl:px-0 lg:py-4 xl:py-6 rounded-10 transition-transform duration-300 ease-in-out transform-gpu hover:scale-105">
                                <div className="w-[196px] h-[196px] border border-misc-4 rounded-10 px-2 transition duration-300 ease-in-out transform-gpu group-hover:border-primary group-hover:shadow-lg" style={{ borderColor: item.bgColor }}>
                                    <div className="w-[83px] h-[85px] mx-auto bg-misc-4 flex items-center justify-center rounded-b-[20px] transition duration-300 ease-in-out transform-gpu group-hover:bg-primary group-hover:shadow-lg" style={{ backgroundColor: item.bgColor }}>
                                        <img src={item.image} alt="logo" />
                                    </div>
                                    <h5 className="text-center text-dark mt-8 font-bold">{item?.firstLine} <br />{item?.secondLine}</h5>
                                </div>
                            </div>
                        ))
                    }

                    {/* <div className="group shadow-two flex justify-center items-center py-2 esm:py-10 sm:py-8 md:px-2 md:py-2 xl:px-0 lg:py-4 xl:py-6 rounded-10 transition-transform duration-300 ease-in-out transform-gpu hover:scale-105">
                        <div className="w-[196px] h-[196px] border border-misc-4 rounded-10 px-2 transition duration-300 ease-in-out transform-gpu group-hover:border-primary group-hover:shadow-lg" style={{ borderColor: '#42822F' }}>
                            <div className="w-[83px] h-[85px] mx-auto bg-misc-4 flex items-center justify-center rounded-b-[20px] transition duration-300 ease-in-out transform-gpu group-hover:bg-primary group-hover:shadow-lg" style={{ backgroundColor: '#42822F' }}>
                                <img src="https://www.zahidschemclinic.com/zahid/assets/images/misc/job.png" alt="" />
                            </div>
                            <h5 className="text-center text-dark mt-8 font-bold">অন্যান্য <br />স্পেশাল কোর্স</h5>
                        </div>
                    </div> */}

                </div>
            </div>
        </section>
    );
};

export default ChemistryCoursesSection;
