import Image from "next/image";
import Faq from "@/asstes/svg/student_question.svg";

const questions = [
  {
    id: 1,
    question: "কোর্সটি করার জন্য আগে থেকে কি কি জানতে হবে?",
    answer:
      "কোর্সটি করার জন্য সর্বপ্রথম যা থাকতে হবে তা হল রিডিং হ্যাবিট - বিস্তারিত কিছু লিখে দেয়া থাকলে সেগুলো পুরোটা মনোযোগ সহকারে পড়ার  অভ্যাস থাকতে হবে। এছাড়া বেসিক এইচ.টি.এম.এল, সি.এস.এস, বেসিক জাভাস্ক্রিপ্ট, মডার্ন (&gt;=ES6) জাভাস্ক্রিপ্ট, DOM, টেইলউইন্ড সিএসএস, npm, Git/GitHub সম্পর্কে ধারণা এবং VSCode এডিটরে কাজকরার অভিজ্ঞতা থাকতে হবে।",
  },
  {
    id: 2,
    question: "কোর্সের প্রথম ক্লাস কবে থেকে শুরু হবে?",
    answer:
      "কোর্সের প্রথম ক্লাস শুরু হবে জানুয়ারি 08, 2024 তারিখ রাত 11:59 মিনিট থেকে। এই সময় থেকে প্রতি সপ্তাহে এক থেকে দুইটি করে মডিউল রিলিজ দেয়া হবে।",
  },
  {
    id: 3,
    question: "কোর্সের ভিডিওগুলো কিভাবে দেয়া হবে?",
    answer:
      "কোর্সের ভিডিওগুলো আগে থেকে রেকোর্ডেড থাকবে। আপনি এনরোল করার পর আপনাকে দেয়া লগইন ইনফরমেশন দিয়ে লগইন করে আপনি ভিডিও গুলো যথা সময়ে দেখতে পারবেন। প্রতি সপ্তাহে 1-2টি মডিউল রিলিজ দেয়া হবে এবং প্রতিটি মডিউলে 10-12টি ভিডিও থাকবে। এই ভিডিওগুলো আপনাকে সপ্তাহের প্রথম 5 দিনের মধ্যে দেখা শেষ করতে হবে যেন বাকি 2 দিনে মডিউল শেষে দেয়া এসাইনমেন্ট করে জমা দিতে পারেন। তবে আপনি যদি ভিডিওগুলো স্বল্প সময়ে দেখে ফেলতে পারেন তাহলে এসাইনমেন্টের জন্য সময় বেশি পাবেন।",
  },
  {
    id: 4,
    question: "কোর্সের পরীক্ষাগুলোতে কিভাবে অংশগ্রহণ করবেন?",
    answer:
      "প্রতিটি ভিডিওর সাথে কুইজ থাকবে এবং নিজের প্রগরেস বুঝার জন্য আপনাকে কুইজগুলোর উত্তর দিতে হবে। এছাড়া প্রতিটি মডিউল শেষে একটি করে ছোট/বড়/মাঝারি এসাইনমেন্ট থাকবে এবং আপনাদেরকে 36 ঘণ্টার মধ্যে এসাইনমেন্ট করে সোর্স কোড আমাদের গিটহাব ক্লাসরুম থেকে তৈরী করা প্রাইভেট গিটহাব রিপোসিটরি লিঙ্ক জমা দিতে হবে। এছাড়া পুরো কোর্স এর একদম শেষে একটি ফাইনাল পরীক্ষা নেয়া হবে অনলাইনে। সব এসাইনমেন্ট এবং ফাইনাল পরীক্ষার প্রাপ্ত নম্বর যোগ করে ফাইনাল রেজাল্ট নির্ধারণ করা হবে",
  },
];

const FAQSection = () => {
  return (
    <section
      className="wrapper gradient-primary border-general scroll-mt-24 border-t dark:bg-slate-900 dark:bg-none"
      id="faq"
      style={{
        backgroundImage: `url(https://tailwindcss.com/_next/static/media/hero@75.b2469a49.jpg)`,
        backgroundSize: "150rem",
        backgroundBlendMode: "overlay",
      }}
    >
      <div
        style={{
          backgroundImage: `url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 32 32' width='32' height='32' fill='none' stroke='rgb(15 23 42 / 0.04)'%3e%3cpath d='M0 .5H31.5V32'/%3e%3c/svg%3e")`,
        }}
      >
        <div className="container">
          <div className="flex h-full flex-col gap-10 lg:flex-row lg:gap-28">
            <div className="flex h-full w-full flex-col justify-center mt-10">
              <div className="next-image relative w-full h-full">
                <Image
                  src={Faq}
                  alt="FAQ - Arafat"
                  fill
                  // layout="fill"
                  // objectFit="cover"
                />
              </div>
              <h1 className="section-title lg:w-2/3 dark:text-gray-200">
                সচরাচর জানতে চাওয়া
                <br />
                <span className="text-[#07A8ED]">প্রশ্নের উত্তর</span>
              </h1>
              <p className="text-medium text-1 mt-8 dark:text-gray-300">
                আপনাদের কমন কিছু প্রশ্নের উত্তর আমরা এখানে লিস্ট করে দিয়েছি।
                আমাদের কে প্রশ্ন করার পূর্বে এই লিস্টটি একবার পড়ে নেয়ার অনুরোধ
                থাকলো। তাহলে আমাদের উত্তরের জন্য আপনাকে অপেক্ষা করতে হবেনা এবং
                আপনার মূল্যবান সময় বেঁচে যাবে।
              </p>
            </div>
            <div className="relative flex h-full w-full items-center justify-center">
              <div className="w-full h-420">
                {/* Add your ScrollArea content here */}
                <div className="w-full">
                  {questions?.map((ques) => (
                    <div className="mb-4" key={ques?.id}>
                      <h3 className="text-xl font-medium text-[#07A8ED] cursor-pointer">
                        {ques?.question}
                      </h3>
                      <div className="mt-2">
                        <p className="text-sm dark:text-gray-300">
                          {ques?.answer}
                        </p>
                      </div>
                    </div>
                  ))}
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  );
};

export default FAQSection;
