/* eslint-disable @next/next/no-img-element */

import { CourseVideoProps } from "@/models/home"
import CourseItem from "./CourseItem"
import { useState } from "react";

interface HomeCourseProps {
  courses: CourseVideoProps[]
}

const HomeCourse = (props: HomeCourseProps) => {
  return (
    <div className=" hideScrollbar overflow-x-auto md:flex-wrap mx-xl:flex-nowrap gap-5 md:h-full w-full justify-center bg-pattern py-10 dark:bg-dpattern md:mt-[30px] lg:flex lg:h-full lg:items-center lg:py-0">
      <div className="flex justify-center">
        <div className="p-3 border-4 border-dashed border-violet-300 inline-block">
          <h1 className="font-bold text-2xl text-center text-black dark:text-white">{"কোর্স সমূহ"}</h1>
        </div>
      </div>
      <div id="default-carousel" className="relative w-full" data-carousel="slide">
        <div className="relative h-56 overflow-hidden rounded-lg md:h-96">
 
          <div className="container opacity-100">
            <div className="mt-12 flex flex-col gap-10 lg:mt-0 lg:flex-row lg:gap-28">
              {props.courses?.map(item => <CourseItem key={item._id} {...item} />)}
            </div>
          </div>
        </div>

        <button type="button" className="absolute top-0 start-0 z-30 flex items-center justify-center h-full px-4 cursor-pointer group focus:outline-none" data-carousel-prev>
          <span className="inline-flex items-center justify-center w-10 h-10 rounded-full bg-white/30 dark:bg-gray-800/30 group-hover:bg-white/50 dark:group-hover:bg-gray-800/60 group-focus:ring-4 group-focus:ring-white dark:group-focus:ring-gray-800/70 group-focus:outline-none">
            <svg className="w-4 h-4 text-white dark:text-gray-800 rtl:rotate-180" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 6 10">
              <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" strokeWidth="2" d="M5 1 1 5l4 4" />
            </svg>
            <span className="sr-only">Previous</span>
          </span>
        </button>
        <button type="button" className="absolute top-0 end-0 z-30 flex items-center justify-center h-full px-4 cursor-pointer group focus:outline-none" data-carousel-next>
          <span className="inline-flex items-center justify-center w-10 h-10 rounded-full bg-white/30 dark:bg-gray-800/30 group-hover:bg-white/50 dark:group-hover:bg-gray-800/60 group-focus:ring-4 group-focus:ring-white dark:group-focus:ring-gray-800/70 group-focus:outline-none">
            <svg className="w-4 h-4 text-white dark:text-gray-800 rtl:rotate-180" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 6 10">
              <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" strokeWidth="2" d="m1 9 4-4-4-4" />
            </svg>
            <span className="sr-only">Next</span>
          </span>
        </button>
      </div>
    </div>
  )
}

export default HomeCourse