import { CourseVideoProps } from "@/models/home";
import React from "react";
import CourseItem from "./CourseItem";
import ModelTestItem from "./ModelTestItem";

interface HomeCourseProps {
  modelTest: CourseVideoProps[];
}

const HomeModelTest = (props: HomeCourseProps) => {
  return (
    <section className="wrapper !bg-primary1 dark:!bg-slate-900 dark:bg-none mt-8">
      <div className="container ">
        <div className="flex justify-center">
          <div className="p-3 border-4 border-dashed border-violet-300 inline-block">
            <h1 className="font-bold text-2xl text-center text-black dark:text-white">{"মডেলটেস্ট সমূহ"}</h1>
          </div>
        </div>
        <div className=" flex items-center space-x-3 md:space-x-4 md:p-2">
          <div className="container opacity-100">
            <div className="mt-12 flex flex-col gap-10 lg:mt-0 lg:flex-row lg:gap-28 justify-center">
              {props.modelTest?.map((item) => (
                <ModelTestItem key={item._id} {...item} />
              ))}
            </div>
          </div>
        </div>
      </div>
    </section>
  );
};

export default HomeModelTest;
