/* eslint-disable @next/next/no-img-element */

import { CourseVideoProps } from "@/models/home";
import Image from "next/image";
import Link from "next/link";

const ModelTestItem = (props: CourseVideoProps) => {
  return (
    <div className="border-general rounded-1 bg-0 scale-general relative z-10 flex flex-col border-2 dark:border-white p-4 transition-all hover:scale-105">
    <Link href={`/${props?._id}`}>
    <div className="flex flex-col items-center text-center">
        <span>
          <Image
            alt="রিয়াক্টিভ এক্সেলেরটর Logo"
            src={
              props?.thumbnail ||
              "https://arafatacczone.com/wp-content/uploads/2023/12/406464339_2143208502690764_259578852390532379_n.jpg"
            }
            height={300}
            width={250}
            style={{ height: "240px", margin: "auto" }}
          />
        </span>
      </div>
      <p className="text-1 text-medium mt-4 !text-center lg:text-left">
        {props.name}
      </p>
      <div className="flex items-center justify-around">
        {props?.isFree ? (
          <div className="relative grid select-none items-center whitespace-nowrap rounded-lg bg-green-500 py-1.5 px-3 font-sans text-xs font-bold uppercase text-white">
            <span className="">{"Free"}</span>
          </div>
        ) : props?.isDiscount ? (
          <>
            <div className="line-through relative grid select-none items-center whitespace-nowrap rounded-lg bg-blue-500 py-1.5 px-3 font-sans text-xs font-bold uppercase text-white">
              <span style={{ textDecoration: "line-through" }}>
                {props?.price} টাকা
              </span>
            </div>
            <div className="relative grid select-none items-center whitespace-nowrap rounded-lg bg-indigo-500 py-1.5 px-3 font-sans text-xs font-bold uppercase text-white">
              <span className="">
                {Math.ceil(
                  props?.price - (props?.price * props?.discount) / 100
                )}{" "}
                টাকা
              </span>
            </div>
          </>
        ) : (
          <div className="relative grid select-none items-center whitespace-nowrap rounded-lg bg-indigo-500 py-1.5 px-3 font-sans text-xs font-bold uppercase text-white">
            <span className="">{props?.price} টাকা</span>
          </div>
        )}
      </div>
      <div className="mt-3 flex w-full justify-center">
        <div className="text-2 flex space-x-1 text-sm">
          <svg
            stroke="currentColor"
            fill="currentColor"
            strokeWidth="0"
            viewBox="0 0 1024 1024"
            className="mr-0 flex-shrink-0 lg:mr-1"
            height="16"
            width="16"
            xmlns="http://www.w3.org/2000/svg"
          >
            <path d="M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"></path>
            <path d="M464 336a48 48 0 1 0 96 0 48 48 0 1 0-96 0zm72 112h-48c-4.4 0-8 3.6-8 8v272c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8V456c0-4.4-3.6-8-8-8z"></path>
          </svg>
          <span className="text-center text-xs md:text-sm">
            এনরোলমেন্টের সময় বাংলাদেশি মোবাইল নাম্বার ব্যবহার করুন
          </span>
        </div>
      </div>
    </Link>
    </div>
  );
};

export default ModelTestItem;
