import React from "react";
import Prerequisite from "@/asstes/svg/online_learn.svg";
import Achievement from "@/asstes/svg/achievement-svgrepo-com.svg";
import Student from "@/asstes/svg/student-svgrepo-com.svg";
import Matemathic from "@/asstes/svg/matemathic-svgrepo-com.svg";
import Globe from "@/asstes/svg/globe-svgrepo-com.svg";
import Research from "@/asstes/svg/research-svgrepo-com.svg";
import Book from "@/asstes/svg/book-svgrepo-com.svg";
import Image from "next/image";
import PageOverlay from "../CourseDetails/PageOverlay";

const demoData = [
  {
    id: 1,
    icon: Student,
    title: "স্বপ্নের ভার্সিটির সম্পূর্ণ প্রস্তুতি",
    description: "বিগিনার দের জন্য সম্পূর্ণ ফ্রি জাভাস্ক্রিপ্ট সিরিজ।",
    line: "#",
  },
  {
    id: 2,
    icon: Matemathic,
    title: "হিসাববিজ্ঞান ফাউন্ডেশন কোর্স",
    description: "বিগিনার দের জন্য সম্পূর্ণ ফ্রি জাভাস্ক্রিপ্ট সিরিজ।",
    line: "#",
  },
  {
    id: 3,
    icon: Achievement,
    title: "C unit premium batch",
    description: "বিগিনার দের জন্য সম্পূর্ণ ফ্রি জাভাস্ক্রিপ্ট সিরিজ।",
    line: "#",
  },
  {
    id: 4,
    icon: Globe,
    title: "বেসিকের উপর জোর",
    description: "বিগিনার দের জন্য সম্পূর্ণ ফ্রি জাভাস্ক্রিপ্ট সিরিজ।",
    line: "#",
  },
  {
    id: 5,
    icon: Research,
    title: "HSC রেগুলার ব্যাচ",
    description: "বিগিনার দের জন্য সম্পূর্ণ ফ্রি জাভাস্ক্রিপ্ট সিরিজ।",
    line: "#",
  },
  {
    id: 6,
    icon: Book,
    title: "এডমিশন টেস্টে সহায়তা",
    description: "বিগিনার দের জন্য সম্পূর্ণ ফ্রি জাভাস্ক্রিপ্ট সিরিজ।",
    line: "#",
  },
];

const PrerequisitesSection = () => {
  return (
    <section
      className="wrapper gradient-primary relative border-general scroll-mt-12 border-t dark:bg-slate-900 dark:bg-none"
      id="prerequisites"
    >
      <div className="container flex flex-col gap-10 lg:flex-row lg:gap-20">
        <div className="lg:w-6/12">
          <div className="next-image">
            <span>
              <Image
                alt="Prerequisite"
                src={Prerequisite}
                decoding="async"
                loading="lazy"
              />
            </span>
          </div>
          <h1 className="section-title dark:text-gray-300 ">
            অসাধারণ <span className="text-[#07A8ED]">টিউটোরিয়ালস</span>{" "}
          </h1>
          <p className="text-medium text-1 mt-6">
            ইউটিউব চ্যানেলে এখন পর্যন্ত ৩৫০ টিরও বেশি অসাধারণ টিউটোরিয়াল দিয়েছে
            যেগুলো ভালভাবে অনুসরণ করলে একজন লার্নার এর ওয়েব ডেভেলপমেন্ট যাত্রা
            অনেক সহজ হবে। সেই সাথে সহজ সরল প্রাঞ্জল এবং সাবলীল বাংলা ভাষায়
            বোঝানোর ধরণ প্রোগ্রামিং এর জটিল বিষয়গুলোর প্রতি ভয় দূর করবে বলে
            আমাদের বিশ্বাস।
          </p>
        </div>
        <div className="grid w-full gap-4 lg:grid-cols-3">
          {/* Replace the following items with your actual content */}
          {demoData?.map((item) => (
            <PrerequisiteCard
              key={item?.id}
              icon={item?.icon}
              title={item?.title}
              description={item?.description}
              link={item?.line}
            />
          ))}
        </div>
      </div>
    </section>
  );
};

const PrerequisiteCard = (props: any) => {
  const { icon, title, description, link } = props;
  return (
    <div className="bg-white dark:bg-slate-800 p-6 rounded-lg shadow-lg border-2 dark:border-yellow-700 transition-transform duration-300 ease-in-out transform-gpu hover:scale-105">
      <Image className="w-16 h-16 mb-4 mx-auto" src={icon} alt={title} />
      <h2 className="text-xl font-semibold mb-2 text-center">{title}</h2>
      <p className="text-center text-gray-600 dark:text-gray-400">
        {description}
      </p>
      <div className="mt-4 text-center">
        <a
          className="mantine-Button-outline mantine-Button-root mantine-7a5dwr"
          type="button"
          href="#"
        >
          <div className="flex flex-wrap gap-2 justify-center items-center border border-gray-400 p-2">
            <span>
              <svg
                stroke="currentColor"
                fill="none"
                strokeWidth="2"
                viewBox="0 0 24 24"
                strokeLinecap="round"
                strokeLinejoin="round"
                height="14"
                width="14"
                xmlns="http://www.w3.org/2000/svg"
              >
                <path d="M18 13v6a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h6"></path>
                <polyline points="15 3 21 3 21 9"></polyline>
                <line x1="10" y1="14" x2="21" y2="3"></line>
              </svg>
            </span>
            <span className="mantine-qo1k2 mantine-Button-label">
              ভিডিও দেখুন
            </span>
          </div>
        </a>
      </div>
    </div>
  );
};

export default PrerequisitesSection;
