import { USER_PROFILE } from "@/utils/helper";
import Image from "next/image";
import Learner from "@/asstes/svg/opinion_student.svg";
import React from "react";
const demoData = [
  {
    id: 1,
    name: "Mr. Imtiaj Uddin",
    comment:
      "I recently completed the HSC Accounting course taught by Arafat Sir, and I must say it was an exceptional learning experience. Arafat Sir's expertise in the subject matter and his passion for teaching were evident in every class session.",
    image: "",
  },
  {
    id: 2,
    name: "Kaniz Fatema",
    comment:
      "Arafat Sir's dedication to his students' success was remarkable. He was always available to provide additional support and guidance outside of class, ensuring that every student had the opportunity to excel.Arafat Sir's dedication to his students' success was remarkable. He was always available to provide additional support and guidance outside of class, ensuring that every student had the opportunity to excel.",
    image: "",
  },
  {
    id: 3,
    name: "Shamsul Arefin",
    comment:
      "Thanks to Arafat Sir's guidance and the comprehensive nature of the course, I feel well-prepared to tackle more advanced accounting topics in the future. I highly recommend Arafat Sir's HSC Accounting course to anyone looking for a knowledgeable instructor and a rewarding learning experience.",
    image: "",
  },
];

const UserReview = () => {
  return (
    <section className="wrapper bg-1 gradient-primary scroll-mt-16 dark:bg-none mt-8 container">
      <div className="container space-y-14">
        <div className="w-full text-center">
          <div className="flex h-full w-full items-center justify-center">
            <div>
              <Image
                width={220}
                height={220}
                alt="Peep"
                src={Learner}
                decoding="async"
                loading="lazy"
              />
            </div>
          </div>
          <h1 className="section-title font-bold text-2xl dark:text-gray-200">
            <span className="text-[#07A8ED]">লার্নাররা আমাদের</span>
           {" "} সম্পর্কে যা ভাবেন
          </h1>
          <p className="subtitle font-bold text-xl dark:text-gray-500">
            লার্নাররা সর্বদাই Yeasin Arafat এর প্রতি তাদের ভালবাসা প্রকাশ করেছেন
          </p>
        </div>
      </div>
      <div className="t px relative md:px-8 lg:px-16">
        <div className="grid grid-cols-1 lg:grid-cols-3 gap-5 overflow-y-hidden">
          {demoData?.map((item) => (
            <div className="space-y-6 h-100" key={item.id}>
              <div className="dark:bg-slate-800/[0.6] p-4 mt-2">
                <div className="mantine-Group-root mantine-6y1794 flex flex-wrap items-center justify-start gap-4">
                  <Image
                    width={40}
                    height={40}
                    src={USER_PROFILE}
                    decoding="async"
                    alt=""
                    className="mantine-gnzaph mantine-Group-child rounded-full"
                  />
                  <div className="mantine-gnzaph mantine-Group-child">
                    <div className="mantine-Text-root mantine-1jcp2pl font-bold text-xl text-[#07A8ED]">
                      {item?.name}
                    </div>
                    <div className="mantine-Text-root mantine-1nhe9c8">
                      Student
                    </div>
                  </div>
                </div>
                <div className="mantine-TypographyStylesProvider-root mantine-1ctjcu4 pl-12 pt-3 font-[14px]">
                  <div className="mantine-1ob529b dark:text-gray-400">
                    {item?.comment}
                  </div>
                </div>
              </div>
            </div>
          ))}
        </div>
      </div>
    </section>
  );
};

export default UserReview;
