"use client";

import { ThemeProvider } from "next-themes";
import { useState, useEffect } from "react";
import LoadingSpinner from "./Layout/LoadingSpinner";

type Props = {
  children: string | JSX.Element | JSX.Element[];
};

const Provider = ({ children }: Props) => {
  const [mounted, setMounted] = useState<boolean>(false);

  useEffect(() => {
    setMounted(true);
  }, []);

  if (!mounted) {
    return <LoadingSpinner isInitialLoading />;
  }

  return (
    <ThemeProvider enableSystem={true} attribute="class">
      {children}
    </ThemeProvider>
  );
};

export default Provider;
