import { Lesson, Sections } from "@/models/courseDetails";

export const USER_PROFILE = "https://st3.depositphotos.com/9998432/13335/v/450/depositphotos_133352156-stock-illustration-default-placeholder-profile-icon.jpg"

// Function to extract all lessons

export function getAllLessons(items: Sections[]): Lesson[] {
  let allLessons: Lesson[] = [];
  items?.forEach((section: Sections) => {
    allLessons = allLessons?.concat(section?.lessons);
  });
  return allLessons;
}

export function getPreviousAndNextLessons(
  lessons: Lesson[],
  lessonId?: string
): { previousLesson?: Lesson; nextLesson?: Lesson } {
  const index = lessons?.findIndex((lesson) => lesson?.id === lessonId);
  if (index === -1) {
    return {}; // Lesson with provided ID not found
  }

  const previousLesson = index > 0 ? lessons[index - 1] : undefined;
  const nextLesson =
    index < lessons?.length - 1 ? lessons[index + 1] : undefined;

  return { previousLesson, nextLesson };
}

export const equalsCheck = (a: any, b: any) => {
  return JSON.stringify(a) === JSON.stringify(b);
};
